{% extends 'base.html.twig' %}

{% block body %}
    <div class="posts">
        <div class="posts-inner">
            <article class="post">
                <div class="post-header">
                    <h2 class="title"><span>{{ article.title }}</span></h2>

                    <!-- Post Details -->
                    <div class="post-details">
                        <div class="post-cat">
                            <a href="#">{{ article.category }}</a>
                        </div>
                        <a href="#" class="post-date"><span>{{ article.publishedAt ? article.publishedAt|ago : 'unpublished' }}</span></a>
                        <div class="post-details-child">
                            <a href="#" class="post-views">{{ article.viewsCount }} views</a>
                            <a href="#" class="post-comments">{{ article.comments|length }} Comments</a>
                        </div>
                    </div>
                    <!-- End Post Details -->
                </div>
                <div class="post-media">
                    <img src="{{ asset(article.imagePath) }}" alt="Post">
                </div>
                <div class="post-content">

                    <!-- The Content -->
                    <div class="the-excerpt">
                        {{ article.content|cached_markdown }}
                    </div>
                    <!-- End The Content -->

                    <div class="post-tags">
                        <strong>Tags: </strong>
                        <ul>
                            {% for tag in article.tags %}
                                <li><a href="#">{{ tag.title }}</a></li>
                            {% endfor %}
                        </ul>
                    </div>
                    <div class="post-author">
                        Writed by  <a href="#">{{ article.author }}</a>
                    </div>
                </div>

            </article>
        </div>

        <!-- Pagination -->
        <div class="pagination-wrap">

            <div class="older">
                <a href="#" title="The living room is too small">Prev Post <i class="fa fa-angle-double-right"></i></a>
                <h2 class="title">
                    <a href="#">The living room is too small</a>
                </h2>
            </div>
            <div class="newer">
                <a href="#" title="They have originality "><i class="fa fa-angle-double-left"></i> Next Post</a>
                <h2 class="title">
                    <a href="#">They have originality </a>
                </h2>
            </div>
        </div>
        <!-- End Pagination -->

        <!-- Related Posts -->
        <div id="related-posts">
            <h2 class="title"><span>Related Posts</span></h2>
            <div class="row">
                <div class="col-sm-6">
                    <div class="post">
                        <div class="post-media" style="background-image: url(images/posts/4.jpg)">
                            <a href="single.html">
                                <img src="images/posts/4.jpg" alt="Image">
                            </a>
                        </div>
                        <div class="post-entry">
                            <h3 class="title">
                                <a href="single.html">Living Lagom in Sweden: An Interview With Lola Akerstrom</a>
                            </h3>
                            <div class="post-details">
                                <a href="#" class="post-date"><span>Aug 06, 2018</span></a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="post">
                        <div class="post-media" style="background-image: url(images/posts/2.jpg)">
                            <a href="single.html">
                                <img src="images/posts/2.jpg" alt="Image">
                            </a>
                        </div>
                        <div class="post-entry">
                            <h3 class="title">
                                <a href="single.html">Living Lagom in Sweden: An Interview With Lola Akerstrom</a>
                            </h3>
                            <div class="post-details">
                                <a href="#" class="post-date"><span>Aug 06, 2018</span></a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Related Posts -->

        <!-- Comments -->
        <div id="comments">
            <h2 class="title"><span>{{ article.nonDeletedComments|length }} Comments</span></h2>
            <div class="comments-inner">
                <ul class="comment-list">

                    {% for comment in article.nonDeletedComments %}
                        <li class="comment">
                            <div class="comment-body">
                                <div class="comment-head">
                                    <div class="comment-avatar">
                                        <img alt="avatar" src="images/avatar-150px.jpg">
                                    </div>
                                    <div class="comment-info">
                                        <h5 class="title">{{ comment.authorName }}</h5>
                                        <span class="comment-date">{{ comment.createdAt|ago }}</span>
                                        {% if(comment.isdeleted) %}
                                            <span class="comment-date" style="color: red;">Deleted</span>
                                        {% endif %}
                                    </div>
                                </div>
                                <div class="comment-context">
                                    <p>{{ comment.content }}</p>
                                    <div class="reply">
                                        <span class="comment-reply"><a class="comment-reply-link" href="#">Reply</a></span>
                                    </div>
                                </div>
                            </div>
                        </li>
                    {% endfor %}
                </ul>
            </div>

            <!-- Respond -->
            <div id="respond" class="comment-respond">
                <h2 class="title"><span>Leave a Reply</span></h2>
                <form action="#" method="post" class="contact">
                    <div class="contact-item">
                        <label>Your Name *</label>
                        <input name="author" value="" type="text">
                    </div>
                    <div class="contact-item">
                        <label>Your Email *</label>
                        <input name="email" value="" type="email">
                    </div>
                    <div class="contact-item">
                        <label>Website URL</label>
                        <input id="url" name="url" value="" type="text">
                    </div>
                    <div class="contact-item">
                        <label>Your Comment *</label>
                        <textarea name="comment"></textarea>
                    </div>
                    <div class="contact-item form-submit">
                        <input name="submit" type="submit" id="submit" class="submit" value="Submit">
                    </div>
                </form>
            </div><!-- #respond -->
            <!-- End Respond -->
        </div>
        <!-- End Comments -->
    </div>
{% endblock %}